Security Enhanced Linux Reference Policy

# Layer: admin

## Module: bcfg2

Interfaces

### Description:

configuration management suite.

### Interfaces:

bcfg2_admin( domain , role )

##### Summary

All of the rules required to administrate an bcfg2 environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

bcfg2_domtrans( domain )

##### Summary

Execute bcfg2 in the bcfg2 domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

bcfg2_initrc_domtrans( domain )

##### Summary

Execute bcfg2 server in the bcfg2 domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

bcfg2_manage_lib_dirs( domain )

##### Summary

Create, read, write, and delete bcfg2 lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bcfg2_manage_lib_files( domain )

##### Summary

Create, read, write, and delete bcfg2 lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bcfg2_read_lib_files( domain )

##### Summary

Read bcfg2 lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bcfg2_search_lib( domain )

##### Summary

Search bcfg2 lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return